
////////////////////////////////////////////////////////////////////////////////
// The BACKLIGHTCOMMAND DrvEscape is used to get/set the backlight
////////////////////////////////////////////////////////////////////////////////
// BackLight Command
#define BACKLIGHTCOMMAND							100000

// for Bright
#define BACKLIGHT_CMD_GET_BRIGHT_BATTERY			0	// Parm=Ignored,	Out=Current setting
#define BACKLIGHT_CMD_SET_BRIGHT_BATTERY			1	// Parm=NewSet,		Out=Resulting setting
#define BACKLIGHT_CMD_INCREASE_BRIGHT_BATTERY		2	// Parm=Amount,		Out=Resulting setting
#define BACKLIGHT_CMD_DECREASE_BRIGHT_BATTERY		3	// Parm=Amount,		Out=Resulting setting
#define BACKLIGHT_CMD_DEFAULT_BRIGHT_BATTERY		4	// Parm=Ignored,	Out=Resulting setting
#define BACKLIGHT_CMD_MAX_BRIGHT_BATTERY			5	// Parm=Ignored,	Out=Max value

#define BACKLIGHT_CMD_GET_BRIGHT_EXPOWER			10	// Parm=Ignored,	Out=Current setting
#define BACKLIGHT_CMD_SET_BRIGHT_EXPOWER			11	// Parm=NewSet,		Out=Resulting setting
#define BACKLIGHT_CMD_INCREASE_BRIGHT_EXPOWER		12	// Parm=Amount,		Out=Resulting setting
#define BACKLIGHT_CMD_DECREASE_BRIGHT_EXPOWER		13	// Parm=Amount,		Out=Resulting setting
#define BACKLIGHT_CMD_DEFAULT_BRIGHT_EXPOWER		14	// Parm=Ignored,	Out=Resulting setting
#define BACKLIGHT_CMD_MAX_BRIGHT_EXPOWER			15	// Parm=Ignored,	Out=Max value

// for Auto Dimming
#define BACKLIGHT_CMD_GET_AUTO_DIM_TIME_BATTERY		20	// Parm=Ignored,	Out=Current setting
#define BACKLIGHT_CMD_SET_AUTO_DIM_TIME_BATTERY		21	// Parm=NewSet,		Out=Resulting setting

#define BACKLIGHT_CMD_GET_AUTO_DIM_TIME_EXPOWER		30	// Parm=Ignored,	Out=Current setting
#define BACKLIGHT_CMD_SET_AUTO_DIM_TIME_EXPOWER		31	// Parm=NewSet,		Out=Resulting setting

#define BACKLIGHT_CMD_AUTO_DIMMING_OFF				40
#define BACKLIGHT_CMD_AUTO_DIMMING_ON				41

#define BACKLIGHT_CMD_AUTO_DIMMING_EXOFF			42

////////////////////////////////////////////////////////////////////////////////
// A BacklightCmdInputParm is the input parameter to a DrvEscape call
// with BACKLIGHTCOMMAND set.
////////////////////////////////////////////////////////////////////////////////
struct BacklightCmdInputParm {
	int		command;				
	int 	parm;
};

