/*****************************************************************
|
|      PocketTV Player for Windows CE
|      File Routines      
|
|      (c) 1996-2001 MpegTV, LLC
|      Author: Gilles Boccon-Gibod (gilles@mpegtv.com)
|      Author: Tristan Savatier (tristan@mpegtv.com)
|
 ****************************************************************/

#include "stdafx.h"

//#if WCE_PLATFORM != WIN32_PLATFORM_HPCPRO && WCE_PLATFORM != WIN32_PLATFORM_HPC2000 && !defined(WIN32_PLATFORM_BE300) && !defined(CONFIG_wincex86)
#if defined(WIN32_PLATFORM_PSPC) && !defined(CONFIG_wincex86)
#define POCKETTV_USE_TGETFILE
#endif

#if defined(WIN32_PLATFORM_BE300)
#define POCKETTV_USE_TGETFILE
#endif

// tgetfile not included in our SDK
#if defined(POCKETTV_SDK_SAMPLE) && defined(POCKETTV_USE_TGETFILE)
#undef POCKETTV_USE_TGETFILE
#endif

/*----------------------------------------------------------------------
|       constants
+---------------------------------------------------------------------*/


/*----------------------------------------------------------------------
|       prototypes
+---------------------------------------------------------------------*/
extern "C" {
extern int ChooseOpenFile(HWND parent,
							TCHAR *buffer, 
							unsigned int buffer_size,
							TCHAR *folder, 
							const TCHAR *caption,
							const TCHAR *filter,
							unsigned int filter_index,
							const TCHAR *default_extension,
							bool use_tgetfile);
extern int ChooseSaveFile(HWND parent,
							TCHAR *buffer, 
							unsigned int buffer_size,
							TCHAR *folder, 
							const TCHAR *caption,
							const TCHAR *filter,
							unsigned int filter_index,
							const TCHAR *default_extension,
							bool use_tgetfile);
}